import React from "react";
import Image from "next/image";
import Location from "@/public/svgs/locationIcon.svg";
import Sitemap from "@/public/svgs/sitemap.svg";
import { careers } from "../constants/Framework";

export default function page() {
  return (
    <div className="md:pt-20 xl:pt-20 max-md:pt-20">
      <div className="h-10 bg-[#c5791e]"></div>
      <div className="max-w-[1245px] mx-auto mb-0 max-md:mb-2.5 px-6">
        <h1 className="py-8 font-semibold text-3xl text-[#2a6498]">
          Language Services
        </h1>
      </div>

      <div className="py-16 bg-[#f1f3f3]">
        <div className="max-w-[1245px] mx-auto mb-0 max-md:mb-2.5 px-6 ">
          <div className="flex justify-between flex-wrap">
            <div>
              <p className="py-6 text-2xl font-semibold text-[#c5791e]">
                Current Openings
              </p>
              <h2 className="font-semibold opacity-70">Remote Interpreters</h2>

              <div>
                {careers.map((item, index) => (
                  <div key={index} className="pb-8">
                    <p className="font-semibold text-xl text-[#1a345f] cursor-pointer w-max">
                      {item.title}
                    </p>
                    <div className="flex gap-6 items-center">
                      <div className="pt-2 flex items-center gap-2">
                        <Image
                          src={Location}
                          alt="Location Icon"
                          width={10}
                          height={10}
                        />
                        <p>{item.address}</p>
                      </div>
                      <div className="pt-2 flex items-center gap-2">
                        <Image
                          src={Sitemap}
                          alt="Location Icon"
                          width={15}
                          height={15}
                        />
                        <p>Remote</p>
                      </div>
                    </div>
                  </div>
                ))}
              </div>
            </div>

            <div className="pt-6">
              <p className="max-w-[500px] font-semibold text-lg text-[#2b333a]">
                With a full scope of language services, fast connection times,
                best-in-class customer service, and the highest-quality
                interpreters in the industry, we’re able to achieve our ultimate
                goal: making our clients’ lives easier.
              </p>
              <p className="py-6 max-w-[500px] font-semibold text-lg text-[#2b333a]">
                Propio Language Services is determined to be the largest
                language services company in the US. Headquartered in Overland
                Park, Kansas, our mission is to leverage innovative technology
                and solutions to close the language gap — anytime, anywhere in
                the world.
              </p>
              <p className="max-w-[500px] font-semibold text-lg text-[#2b333a]">
                We are rapidly growing, if you do not see a position that fits
                your ideal career path at this time, be sure to check back often
                as we are frequently adding new roles.
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}
