import * as React from "react";

function ContactInfo() {
  return (
    <div className="flex flex-col w-6/12 max-md:ml-0 max-md:w-full">
      <div className="flex flex-col mt-7 w-full max-md:mt-10 max-md:max-w-full">
        <div className="flex gap-7 self-start">
          <div className="flex flex-col justify-center px-3 py-4 border-2 border-solid border-cyan-400 border-opacity-50 rounded-[60px]">
            <div className="flex shrink-0 bg-cyan-400 h-[30px] rounded-[30px] w-[30px]" />
          </div>
          <div className="flex-auto my-auto text-6xl font-semibold leading-none text-white max-md:text-4xl">
            Contact <span className="italic text-yellow-500">Us</span>
          </div>
        </div>
        <div className="flex flex-col items-start pl-20 mt-8 w-full text-white max-md:pl-5 max-md:max-w-full">
          <div className="text-base leading-7 max-md:max-w-full">
            If you are interested in learning more about Propio
            <br />
            Language Services, or have questions about our services
            <br />
            and pricing, please feel free to reach out to us.
          </div>
          <div className="flex gap-5 items-start mt-7">
            <img
              loading="lazy"
              src="https://cdn.builder.io/api/v1/image/assets/TEMP/b0a91769cd873f2cbc828f31cd5941147d9e79347a555c82563ed0988e705b8b?placeholderIfAbsent=true&apiKey=9c736499c4884251b60cdafcdc215d29"
              alt="Location icon"
              className="object-contain shrink-0 aspect-[0.6] w-[18px]"
            />
            <div className="flex flex-col">
              <div className="self-start text-base font-bold leading-loose">
                Mailing Address
              </div>
              <div className="mt-2.5 text-sm leading-5">
                Propio Language Services
                <br />
                10801 Mastin St. #580
                <br />
                Overland Park, KS 66210
              </div>
            </div>
          </div>
          <div className="flex gap-3.5 mt-8 text-base font-bold leading-loose">
            <img
              loading="lazy"
              src="https://cdn.builder.io/api/v1/image/assets/TEMP/aeaa11d11778b2a638119f85b6e575a1c8ec19eb0aae8cb204136d1e0d0294d5?placeholderIfAbsent=true&apiKey=9c736499c4884251b60cdafcdc215d29"
              alt="Phone icon"
              className="object-contain shrink-0 w-6 aspect-[0.8]"
            />
            <div className="my-auto">Phone & Fax</div>
          </div>
          <div className="mt-1.5 ml-10 text-sm leading-5 max-md:ml-2.5">
            Local: 913-381-3143
            <br />
            Toll-free: 888-528-6692
            <br />
            Fax: 866-231-8176
          </div>
        </div>
      </div>
    </div>
  );
}

export default ContactInfo;