import React from "react";
import Image from "next/image";
import BlackImage from "@/public/images/group1.png";

export default function Mission() {
  return (
    <div className="max-w-[1245px] mx-auto max-xl:px-6 max-md:pb-20 md:py-20">
      <div className="grid grid-cols-1 md:grid-cols-2 gap-20">
        <div className="max-md:max-w-full">
          <div className="">
            <div className="flex flex-col grow mt-2 text-sm font-semibold leading-5 text-blue-950 max-md:mt-10 max-md:max-w-full">
              <h2 className="self-start text-4xl leading-10 max-md:max-w-full max-sm:text-center">
                Bridging the gap between humanity and technology
              </h2>
              <p className="self-start mt-9 max-md:max-w-full max-sm:text-center">
                Good communication is at the center of all productive and
                meaningful conversations. Without effective communication,
                understanding can be lost, mistakes can be made, and work can be
                ground to a halt. Can your organization afford this?
              </p>
              <p className="mt-8 mr-6 max-md:mr-2.5 max-md:max-w-full max-sm:text-center">
                At Propio Language Services, we believe a human's fundamental
                need to communicate with one another should be honored and
                facilitated as an acknowledgment of our humanity. Further, we
                know it is critical for business success. That is why we have
                centered our business on making good communication
                happen—whenever and wherever—by providing best-in-class
                interpreting and translating services 24/7/365.
              </p>
            </div>
          </div>
          <div className="flex justify-center sm:justify-start">
            <button className="max-sm:w-full px-9 py-5 mt-10 text-sm leading-none text-blue-950 border-2 border-blue-950 border-opacity-80 rounded-[200px] max-md:px-5 hover:bg-blue-950 hover:text-yellow-500 transition-colors">
              Contact Us
            </button>
          </div>
        </div>
        <div>
          <Image src={BlackImage} alt="Black Image" />
        </div>
      </div>
    </div>
  );
}
