import React from 'react';

export default function ServiceCard({ icon, title, description, arrowIcon }) {
  return (
    <div className="flex flex-col px-5 py-6 rounded-xl border border-solid border-neutral-200 hover:shadow-lg transition-shadow cursor-pointer">
      <img
        loading="lazy"
        src={icon}
        className="object-contain w-10 aspect-square max-md:ml-1.5"
        alt={title}
      />
      <h3 className="mt-8 font-semibold leading-none max-md:mr-2.5">
        {title}
      </h3>
      <p className="mt-8 leading-5">
        {description}
      </p>
      <img
        loading="lazy"
        src={arrowIcon}
        className="object-contain self-end mt-7 w-3.5 aspect-[0.34] max-md:mr-2.5"
        alt="Arrow"
      />
    </div>
  );
}