import React from 'react';

export default function ExploreSection() {
  const sections = [
    {
      title: "FAQs",
      image: "https://cdn.builder.io/api/v1/image/assets/TEMP/ae6d39b0f0d7a7e9503164e218eb6c60c4b300902ad07621b6f6fd7381557f37?placeholderIfAbsent=true&apiKey=9c736499c4884251b60cdafcdc215d29"
    },
    {
      title: "Contact Us",
      image: "https://cdn.builder.io/api/v1/image/assets/TEMP/ceda82765b8aeb7c653473580b5d1069e3f4a508fb84fbc1feb3b1e00a898cc5?placeholderIfAbsent=true&apiKey=9c736499c4884251b60cdafcdc215d29"
    }
  ];

  return (
    <div className="max-w-[1245px] mx-auto px-6 py-24">
      <h2 className="text-4xl font-semibold leading-none text-center text-blue-950 max-md:mt-10 max-md:max-w-full">
        Explore the Language Services{" "}
        <span className="italic text-[#c5791e]">Industry</span>
      </h2>
      <div className="mt-14 mb-0 max-w-full max-md:mt-10 max-md:mb-2.5">
        <div className="flex gap-5 max-md:flex-col">
          {sections.map((section, index) => (
            <div key={index} className="max-md:w-full">
              <div className="relative px-16 py-28 text-4xl font-semibold text-white rounded-3xl md:aspect-[1.598] max-md:px-5 max-md:py-20 max-md:mt-6 hover:scale-105 transition-transform cursor-pointer">
                <img
                  loading="lazy"
                  src={section.image}
                  className="object-cover absolute inset-0 size-full rounded-3xl"
                  alt={section.title}
                />
                <span className="relative flex justify-center z-10">{section.title}</span>
              </div>
            </div>
          ))}
        </div>
      </div>
    </div>
  );
}