import React from "react";
import Image from "next/image";
import Link from "next/link";

export default function Hero({
  title,
  description,
  buttonLink,
  buttonText,
  imageSrc,
}) {
  return (
    <div className="mt-[-1px] md:pt-24 xl:pt-40 pb-28 lg:pb-24 max-md:py-24 bg-[#082348]">
      <div className="max-w-[1245px] mx-auto mb-0 max-md:mb-2.5 px-6">
        <div className="grid gap-10 md:gap-5 md:grid-cols-2 place-items-center">
          <div className="relative mt-4 sm:mt-8 font-semibold text-white max-md:max-w-full">
            <h1 className="self-stretch md:text-4xl xl:text-6xl leading-[62px] max-md:max-w-full max-w-2xl max-md:text-4xl max-md:leading-[51px] max-sm:text-center">
              {title}
            </h1>
            <p className="mt-7 text-base leading-relaxed max-md:max-w-2xl max-sm:text-center">
              {description}
            </p>
            <Link
              href={buttonLink}
              className="flex justify-center items-center sm:justify-start"
            >
              <button className="max-sm:w-full px-9 py-5 mt-10 text-sm leading-none text-yellow-500 border-2 border-yellow-500 border-opacity-80 rounded-[200px] max-md:px-5 hover:bg-yellow-500 hover:text-blue-950 transition-colors">
                {buttonText}
              </button>
            </Link>
          </div>
          <div className="">
            <Image
              loading="lazy"
              src={imageSrc}
              className={`max-h-[484px] max-md:mt-3.5`}
              alt="Hero illustration"
            />
          </div>
        </div>
      </div>
    </div>
  );
}
