import React from "react";
import Image from "next/image";

const Applications = ({ title, description, applications }) => {
  return (
    <section className="py-20 w-full bg-sky-50 text-blue-950 max-md:mt-10">
      <div className="max-w-[1245px] mx-auto px-6">
        <h2 className="text-4xl font-semibold text-center">{title}</h2>
        <p className="mt-8 text-base leading-7 max-md:max-w-full text-center">
          {description}
        </p>

        <div className="grid md:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4 gap-x-4 gap-y-6 mt-7">
          {applications.map((app, index) => (
            <div
              key={index}
              className="flex items-start gap-6 text-sm text-blue-950 max-md:mt-5"
            >
              <Image
                loading="lazy"
                src={app.icon}
                alt={`${title} icon`}
                width={34}
                height={34}
              />
              <div className="text-base">
                <strong>{app.title}</strong>
                {app.description}
              </div>
            </div>
          ))}
        </div>
      </div>
    </section>
  );
};

export default Applications;
