import React from "react";
import Image from "next/image";
import ChevronRight from "@/public/svgs/chevronRight.svg";

export default function Services({title, description, services}) {

  return (
    <div className="mt-12 lg:mt-24 max-w-[1245px] mx-auto max-xl:px-6 pb-20 lg:pb-24">
      <div className="flex max-lg:flex-col gap-5 max-md:flex-col">
        <div className="flex flex-col w-[21%] max-md:ml-0 max-lg:w-full">
          <div className="flex flex-col mt-7 text-blue-950 max-md:mt-10">
            <h2 className="text-2xl font-semibold leading-9">
              {title}
            </h2>
            <p className="mt-4 text-base leading-7">
              {description}
            </p>
          </div>
        </div>
        <div className="flex flex-col lg:ml-5 w-full lg:w-[79%] max-md:ml-0 max-lg:w-full">
          <div className="grid grid-cols-1 md:grid-cols-3 grow gap-5 text-sm text-blue-950 max-md:mt-10">
            {services.map((service, index) => (
              <div key={index} className="flex flex-col px-5 py-6 rounded-xl border border-solid border-neutral-200 hover:shadow-lg transition-shadow">
                <Image
                  loading="lazy"
                  src={service.icon}
                  className="object-contain w-10 aspect-square max-md:ml-1.5"
                  alt={service.title}
                />
                <h3 className="mt-8 font-semibold leading-none max-md:mr-2.5">
                  {service.title}
                </h3>
                <p className="mt-8 leading-5">{service.description}</p>
                {/* <Image
                  loading="lazy"
                  src={ChevronRight}
                  className="object-contain self-end mt-7 w-3.5 aspect-[0.34] max-md:mr-2.5"
                  alt="Arrow"
                /> */}
              </div>
            ))}
          </div>
        </div>
      </div>
    </div>
  );
}
