import Stethscope from "@/public/svgs/stethoscope.svg"
import Hammer from "@/public/svgs/hammer.svg"
import BuisnessBoard from "@/public/svgs/businessBoard.svg"
import CustomerService from "@/public/svgs/customerService.svg"
import Book from "@/public/svgs/book.svg"
import GovernmentHall from "@/public/svgs/governmentHall.svg"
import EmergencySign from "@/public/svgs/emergencySign.svg"
import HumanResources from "@/public/svgs/humanResources.svg"
import Heart from "@/public/svgs/heart.svg"
import Currency from "@/public/svgs/currency.svg"
import EducationBook from "@/public/svgs/educationBook.svg"
import Phone from "@/public/svgs/phone.svg"
import Document from "@/public/svgs/document.svg"
import Location from "@/public/svgs/location.svg"
import Bulb from "@/public/svgs/bulb.svg"
import Clock from "@/public/svgs/clock.svg"
import Globe from "@/public/svgs/globe.svg"
import Lock from "@/public/svgs/lock.svg"
import AdvanceTechnology from "@/public/svgs/advanceTechnology.svg"
import TwoArrows from "@/public/svgs/twoArrows.svg"
import Hat from "@/public/svgs/hat.svg"

export const landingServices = [
  {
    icon: Phone,
    title: "Over-the-Phone Interpreting (OPI)",
    description:
      "Industry-specific interpreter services are available to ensure accuracy and understanding 24/7/365 days a year.",
  },
  {
    icon: Document,
    title: "Translation and Localization",
    description:
      "High-quality, specialized document translation and localization services in over 125 languages.",
  },
  {
    icon: Location,
    title: "On-site Interpretation",
    description:
      "We interpret in hospitals and clinics, courtrooms and legal offices, and in community programs and schools.",
  },
];

export const interpretationFeatures = [
  {
    title: "Fast Connection Times:",
    description: "Access interpreters in seconds.",
  },
  {
    title: "Extensive Language Support:",
    description: "Available in over 300 languages.",
  },
  {
    title: "FERPA and HIPAA-Compliant:",
    description: "Protects privacy and maintains confidentiality.",
  },
  {
    title: "24/7/365 Availability:",
    description: "Always ready for urgent and ongoing communication needs.",
  },
  {
    title: "Industry-Specific Expertise:",
    description:
      "Interpreters trained in medical, legal, financial, and business terminology.",
  },
];

export const interpretationApplications =[
  {
    icon: Stethscope,
    title: "Healthcare:",
    description: " Help patients and providers exchange accurate details about diagnoses, treatments, medication usage, and discharge instructions.",
  },
  {
    icon: Hammer,
    title: "Legal:",
    description: " Support understanding during court proceedings, depositions, and attorney-client discussions, ensuring all participants are fully informed.",
  },
  {
    icon: BuisnessBoard,
    title: "Buisness:",
    description: " Promote effective communication with global partners, vendors, or employees while providing language support for multilingual customers.",
  },
  {
    icon: CustomerService,
    title: "Customer Service:",
    description: " Address questions and resolve concerns in a client’s preferred language, creating a positive and effective support experience.",
  },
  {
    icon: Book,
    title: "Education:",
    description: " Assist schools and educators in engaging with students and families who speak other languages.",
  },
  {
    icon: GovernmentHall,
    title: "Government Services:",
    description: " Aid agencies in interacting with community members by providing language support for public service communications.",
  },
  {
    icon: EmergencySign,
    title: "Emergency Situations:",
    description: " Help first responders, healthcare teams, and organizations convey accurate, time-sensitive information during crises.",
  },
  {
    icon: HumanResources,
    title: "Human Rescources:",
    description: " Support multilingual interactions in onboarding, training, and workplace communications with employees, candidates, and contractors.",
  },
]

export const interpretationFeatures2 = [
  {
    title: "Minimum of 40 hours of training and certification: ",
    description: "Interpreters Complete comprehensive programs to develop their skills and meet industry benchmarks.",
  },
  {
    title: "Expertise in industry-specific terminology: ",
    description: "Specialized knowledge in fields such as healthcare, financial, legal, and business ensures interpreters can handle complex conversations.",
  },
  {
    title: "Cultural understanding: ",
    description: "Interpreters are equipped to deliver contextually appropriate communication by recognizing and respecting cultural nuances.",
  },
  {
    title: "Ongoing performance monitoring: ",
    description: "Regular assessments and quality assurance processes maintain high service standards.",
  }
];

export const industries = [
  {
    icon: Heart,
    title: "Healthcare",
    description: "Trusted by healthcare providers for accurate, HIPAA-compliant interpretation and translation services that enhance patient care and healthcare equity.",
  },
  {
    icon: Currency,
    title: "Financial",
    description: "Providing precise translation and interpretation for financial institutions, we ensure accuracy and confidentiality in highly regulated environments.",
  },
  {
    icon: EducationBook,
    title: "Education",
    description: "Supporting schools and universities with multilingual services, we enable effective, FERPA-compliant communication for students, parents, and staff.",
  },
]

export const interpretation =[
  {
    icon: Bulb,
    title: "Extensive Experiance:",
    description: " A proven track record in delivering high-quality remote interpretation services.",
  },
  {
    icon: Clock,
    title: "Fast Connections:",
    description: " Access professional interpreters in seconds, 24/7.",
  },
  {
    icon: Globe,
    title: "Wide Language Coverage:",
    description: " Support for over 300 languages to meet a wide range of communication needs.",
  },
  {
    icon: Lock,
    title: "Secure and Compliant:",
    description: " HIPAA and FERPA-compliant systems that prioritize privacy and confidentiality.",
  },
  {
    icon: AdvanceTechnology,
    title: "Advanced Technology:",
    description: " Seamless connectivity through Propio ONE and Propio Link API integrations",
  },
  {
    icon: Hat,
    title: "Industry Expertise:",
    description: " Interpreters trained in medical, legal, financial, and business terminology.",
  },
  {
    icon: HumanResources,
    title: "Client Support:",
    description: " Dedicated client success teams providing personalized assistance.",
  },
  {
    icon: TwoArrows,
    title: "Scalable Solutions:",
    description: " Flexible services tailored to organizations of all sizes and industries.",
  },
]

export const howItWorks = [
  {
    title: "Call a toll-free or local number or launch the Global Linguistic ONE app."
  },
  {
    title: "Select the required language from over 300 available options.",
  },
  {
    title: "Connect with a certified interpreter in seconds."
  },
]

export const careers =[
  {
    title: "Dari / Farsi",
    address: "Texas"
  },
  {
    title: "Pashto",
    address: "Texas"
  },
  {
    title: "Hindi / Urdu",
    address: "Texas"
  },
  {
    title: "Punjabi",
    address: "Texas"
  },
]