import * as React from "react";
import Image from "next/image";
import ContactImage from "../../public/images/contact-image.png";
import ContactForm from "../components/ContactForm";
import ContactInfo from "../components/ContactInfo";

function ContactPage() {
  return (
    <div className="bg-white">
      <div className="w-full bg-white max-md:max-w-full">
        <div className="max-md:mb-2.5 max-md:max-w-full">
          <div className="pt-48 max-md:pt-24 self-center max-w-full bg-[#082348]">
            <div className="flex gap-5 max-md:flex-col max-w-[1245px] mx-auto z-50">
              <ContactInfo />
              <ContactForm />
            </div>
          </div>
          <Image
            loading="lazy"
            src={ContactImage}
            alt="Decorative wave pattern"
            className="-mt-10 object-contain z-10 mb-0 w-full aspect-[3.86] max-md:mb-2.5 max-md:max-w-full"
          />
        </div>
      </div>
    </div>
  );
}

export default ContactPage;
