import React from "react";
import InterpretationHero from "@/public/images/interpretation-hero.webp";
import InterpretationImage1 from "@/public/images/interpretationImage1.png";
import InterpretationImage2 from "@/public/images/interpretationImage2.png";
import HowItWorksImage from "@/public/images/howItWorks.png";
import Hero from "../components/common/Hero";
import KeyFeatures from "../components/common/KeyFeatures";
import InterpretationApplications from "../components/common/InterpretationApplications";
import Services from "../components/common/Services";
import ExploreSection from "../components/common/ExploreSection";
import HowItWorks from "../components/common/HowItWorks";
import ConnectAnywhere from "../components/ConnectAnywhere";
import {
  industries,
  interpretationApplications,
  interpretationFeatures,
  interpretation,
  interpretationFeatures2,
  howItWorks,
} from "@/app/constants/Framework";

export default function InterpretationPage() {
  return (
    <div>
      <Hero
        title={
          <>
            Interpretation in{" "}
            <span className="text-[#eab308]">300+ Languages</span>
          </>
        }
        description="Propio’s phone interpretation connects you to professional interpreters in seconds, anytime you need them, 24/7, in over 300 languages. Our interpreters are experienced in industry-specific terminology and cultural nuances, making them a trusted choice for healthcare, legal, financial, and business conversations. With secure connections and around-the-clock availability, Propio provides the clarity you need to communicate confidently in any situation."
        buttonText="Contact Us"
        buttonLink="/contact-us"
        imageSrc={InterpretationHero}
      />
      <KeyFeatures
        imgSrc={InterpretationImage1}
        title={
          <>
            Key Features of Propio's{" "}
            <span className="text-[#c5791e]">Interpretation Solutions</span>
          </>
        }
        description="Propio's phone interpretation is built to provide reliable, fast, and secure support for multilingual communication. Whether you're managing time- sensitive interactions or complex industry-specific discussions, our service is designed to meet your needs with precision and professionalism. Propio's phone interpretation solutions offers:"
        features={interpretationFeatures}
      />
      <InterpretationApplications
        title={
          <>
            Applications for{" "}
            <span className="text-[#c5791e]">Interpretation</span>
          </>
        }
        description="Propio's phone interpretation services provide reliable language support for a variety of situations. Here are eight examples of situations in which phone interpretation would be a practical solution:"
        applications={interpretationApplications}
      />
      <KeyFeatures
        imgSrc={InterpretationImage2}
        title={
          <>
            Key Features of Propio's{" "}
            <span className="text-[#c5791e]">Interpretation Solutions</span>
          </>
        }
        description="Propio's phone interpretation is built to provide reliable, fast, and secure support for multilingual communication. Whether you're managing time- sensitive interactions or complex industry-specific discussions, our service is designed to meet your needs with precision and professionalism. Propio's phone interpretation solutions offers:"
        features={interpretationFeatures2}
      />
      <Services
        title="Industries we Serve"
        description="With nearly 30 years of experience, we provide specialized language solutions tailored to each industry’s specific needs."
        services={industries}
      />
      <InterpretationApplications
        title={
          <>
            Why Choose <span className="text-[#c5791e]">Global Linguistic</span>
            for Interpretation
          </>
        }
        applications={interpretation}
      />
      <ConnectAnywhere />
      <div className="flex justify-center">
        <ExploreSection />
      </div>
    </div>
  );
}
