import React from 'react';
import HeroIllustration from "@/public/images/group2.png";
import Hero from './components/common/Hero';
import Services from './components/common/Services';
import Features from '../app/components/Features';
import Analytics from '../app/components/Analytics';
import Mission from '../app/components/Mission';
import ExploreSection from './components/common/ExploreSection';
import { industries, landingServices } from './constants/Framework';

export default function LandingPage() {
  return (
    <div className="flex flex-col bg-white">
      <Hero 
        title={
          <>
            Empowering
            <span className="ml-1 text-yellow-500">Global</span><br className='hidden md:block'/>
            Communication
          </>
        }
        description="Delivering top-tier translation services to connect people worldwide."
        buttonText="Contact Us"
        buttonLink="/contact-us"
        imageSrc={HeroIllustration}
      />
      <Services 
        title= "Award-winning interpreting and translation services"
        description= "Learn more about how Propio Language Services delivers excellence in everything we do."
        services= {landingServices}
      />
      <Features />
      <Analytics />
      <Mission />
      <ExploreSection />
    </div>
  );
}